protolabs42

memory/forget

Soft-delete a memory by setting its deleted_at timestamp.

POST
/rpc#memory.forget

Soft-delete a memory by setting its deleted_at timestamp.

Authorization

bearerAuth
AuthorizationBearer <token>

API key obtained via invite redemption or SIWE login

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://chorus.runclaw.run/rpc#memory.forget" \  -H "Content-Type: application/json" \  -d '{    "memory_id": "string"  }'
{
  "id": "string",
  "content": "string",
  "memory_type": "string",
  "owner": "string",
  "namespace": "string",
  "entity": "string",
  "category": "string",
  "tags": [],
  "confidence": 1,
  "source": "string",
  "metadata": {
    "property1": null,
    "property2": null
  },
  "source_org": "string",
  "source_claw": "string",
  "deleted_at": "string",
  "expires_at": "string",
  "created_at": "string",
  "updated_at": "string"
}